Agents that publish an A2A /.well-known/agent-card.json — 5839 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5839 indexed agents, 4856 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法.
【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。
Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact
【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
|
A | 10.00 |
| 2 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 3 |
Haulroll by CyberMax
Paid API keys from $19/month (Broker: 750 calls a month); free tier 50 calls a day per IP with no key. Buy: https://haulroll-api.cybermaxtools.com/buy/broker?s=lead · all plans: https://haulroll-api.cybermaxtools.com/docs#pricing. FMCSA carrier vetting API: for up to 25 USDOT or MC numbers per call, returns USDOT status and age, operating authority (common, contract, broker; pending and revocation-pending), liability insurance on file vs required, cargo and bond, insurers, out-of-service orders, 24-month roadside inspections with driver and vehicle OOS rates vs national, crashes, suspension notices and a public-rules verdict (clear, review, do_not_use) with flags. Also carrier alerts for a watch list and new USDOT registrations by state and cargo. REST + MCP server.
|
A | 10.00 |
| 4 |
Figurewell API by CyberMax
Paid API keys from $19/month (Quant: 10,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://figurewell-api.cybermaxtools.com/buy/quant?s=lead · all plans: https://figurewell-api.cybermaxtools.com/docs#pricing. Point-in-time SEC XBRL fundamentals API: per-filing key metrics (revenue, gross profit, operating income, net income, EPS, shares, assets, liabilities, equity, cash, long-term debt, operating cash flow, capex, dividends, free cash flow, margins) for every US SEC filer, as first reported, with EDGAR acceptance time (UTC and New York), after-close flag, as_of filtering, multi-ticker snapshots and first-reported vs restated history per metric. REST + MCP server. Information only, not investment advice.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
| 10 |
Money Mind — Verified Extraction
Headless web extraction that is cross-checked by three independent methods, confidence-scored, logged to a tamper-evident public attestation chain, and refund-backed if the result is empty or fails the schema you declared.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://agents.alphaquantlabs.ai/a2aa2a ok
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://agents.alphaquantlabs.ai/v1/mcpmcp ok
Gold Coast & Brisbane, Australia property report: flood, planning, schools. Free check; x402 A$1.39
-
AQL PropertyCheck — Property Intelligence & Due Diligence Report API, Gold Coast & Brisbane City https://server.smithery.ai/alphaquant-labs/propertycheck/mcpmcp ok
Property intelligence and due-diligence property reports for AI agents. Give one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and get a physical check of the property, the street at its door and the neighbourhood around it, from official open government data — before buying, renting or inspecting. For home buyers, renters, buyer's agents and real estate agents. Where available, for both cities: flood, bushfire and other mapped hazards; planning; state school catchments; traffic counts on nearby roads; police-division crime context; infrastructure; nearest public transport stops. Brisbane City adds: the frontage street and road reserve width; kerb parking signs, permit areas and clearways; parent-building height and high-rise status; scheduled (timetabled) journeys to the CBD and four universities; free-flow driving time and toll roads on the route. Gold Coast adds: carriageway width; council parking signs and the nearest registered parking area; building footprint, site coverage and open-lot area; the gap to the nearest separate building. Free: check_address confirms the exact address and its coverage and returns a short summary with sources. Paid: get_full_report returns the full structured JSON report — A$1.39 incl. GST via x402 (pay-per-call over HTTP), or A$4.95 incl. GST by card after the person agrees. Example questions: "Is 9 Hamilton Avenue, Surfers Paradise in a flood overlay?" · "What are the flood overlays and the state school catchment for 26 Lomandra Place, Chapel Hill (Brisbane)?" · "How wide is the street at 58 Lancewood Circuit, Robina and where is the nearest parking?" Not a valuation, price estimate, sales history or listing search. Not a substitute for a building inspection, conveyancing searches or legal advice. Anything that cannot be confirmed is marked Not verified. Other councils (Logan, Moreton Bay, Ipswich, Redland and the rest of Australia) are not covered.
“ARYSPHERE x402 channel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 Bazaar channel at https://api.arysphere.com: paid HTTP routes for AI agents, settled per call in USDC. Unpaid GET answers 402 with the terms; a paid call is served. The routes are also listed as tools at https://api.arysphere.com/mcp (POST JSON-RPC) and as an OpenAPI document at https://api.arysphere.com/openapi.json.
-
ARYSPHERE x402 channel https://api.arysphere.com/v1/ventures/x402_bazaar_token_verdict_v2/base_token_verdict_v3x402 ok
ARYSPHERE sells AI-written verdicts on Base token contracts (a grade, a one-liner, a roast and the contract's facts) and Base/Ethereum chain reads, paid per call in USDC on Base, Polygon, and Arbitrum over x402 v2. No account and no API key.
“AstraNL” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, t…
-
a2a x402 ok
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, transport or service - and returns a typed record of what was actually observed, agreed, executed and settled. AstraNL turns an intent into verified real-world execution: a KvK-registered executor performs the work; the client pays that provider directly on the agreed provider-owned business rail. Stripe is optional. AstraNL never receives or controls the work amount and invoices only its separate 1% coordination fee after a paid, confirmed outcome. Fee: 1% coordination fee - only on a paid outcome, in force since 2026-09-01. Status: controlled pilot. Canonical facts: https://astranl.com/.well-known/astranl-facts.json
-
mcp x402 degraded
Verified local hands for AI agents: physical errands, funds held until agreed proof.
-
Dutch construction facts with measured accuracy + NL coordination. Never holds third-party funds.
-
AstraNL — signed physical-reality checks for agents: company registries (KvK, Companies House, Sirene), vehicle records (RDW, DVSA), 860k+ SKUs with live prices, plus a cross-company Agent Meeting Hall for agent-to-agent coordination. No custody of funds; 1% coordination fee.
-
Dutch construction facts with measured accuracy + NL coordination. Never holds third-party funds.
“Base toolbox” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
“BorderScout” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
-
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
“Brazilayer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
-
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
“fr-legal-kit” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
-
Base token USD, Base gas, ENS resolve, plus FR legal helpers. $0.01 USDC x402
-
French e-invoice calendar, L441-10 late penalties, SIRET/IBAN checksums. Offline. No registry lookup.
“FractalAI PQC Proof Services” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
“FXMacroData” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Macroeconomic and FX time-series data for AI agents: indicators, calendars, COT, forex, commodities.
-
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
“GBLIN Protocol” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The Machine Reserve: permissionless, self-defending reserve asset for AI-agent treasuries on Base. Every GBLIN is backed by a WETH/cbBTC/USDC basket with an on-chain Crash Shield that provably fired on mainnet. Risk policy is public code; risk state is a signed observable, not an opinion. In-kind redemption anytime.
-
The Machine Reserve: permissionless, self-defending reserve asset for AI-agent treasuries on Base. Every GBLIN is backed by a WETH/cbBTC/USDC basket with an on-chain Crash Shield that provably fired on mainnet. Risk policy is public code; risk state is a signed observable, not an opinion. In-kind redemption anytime.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK klimawerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK zollwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“MainStreet” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback, x402 settlement history, and Virtuals ACP escrow completions. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1035 indexed agents. Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
-
Reputation oracle for onchain AI agents on Base. `/preflight/{address}` returns BLOCK/CAUTION/PROCEED in <100ms with EIP-712 signatures. Vet any wallet/token before x402 payments. Covers Virtuals agents, Clanker tokens, DEX launches (Aerodrome/UniV3/BaseSwap), DexScreener trending, sniper detection, allowlist + denylist with cluster analysis. Free reads + paywalled premium audits ($0.25-$25 USDC on Base). ERC-8004 registered (agentId 53953). MCP server `@raskhaaa/mainstreet-oracle`. ([GitHub](https://github.com/philpof102-svg/avisradar)) ([Agent Card](https://avisradar-production.up.railway.app/.well-known/agent.json)) ([OpenAPI](https://avisradar-production.up.railway.app/api/agent/openapi.json))
-
conformance: fail
-
Onchain AI-agent reputation oracle on Base. Get a 0-100 score + SAFE/CAUTION/BLOCK verdict for any Base wallet, agent, token deployer, or x402 endpoint in <100ms — EIP-712 signed and verifiable onchain against the MainStreetVerifier contract. ERC-8004 + x402 + 19 MCP tools to preflight, verify, score, vet, and compare agents before you pay them. Free reads (100/day/IP); pay-per-call audits over x402 (USDC on Base).
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MindPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Global mental health intelligence API — 12 endpoints covering therapy platform matching (BetterHelp, Talkspace), mental health self-assessment, burnout recovery, psychiatric medication context, evidence-based coping techniques, sleep disorder guidance, grief support, relationship counseling, workplace mental health, postpartum/perinatal mental health, addiction/harm-reduction support, and crisis resource routing (always free, always 988). Responds in any language. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet) — crisis endpoint is always free.
-
Global mental health intelligence API — 12 endpoints covering therapy platform matching (BetterHelp, Talkspace), mental health self-assessment, burnout recovery, psychiatric medication context, evidence-based coping techniques, sleep disorder guidance, grief support, relationship counseling, workplace mental health, postpartum/perinatal mental health, addiction/harm-reduction support, and crisis resource routing (always free, always 988). Responds in any language. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet) — crisis endpoint is always free.
“Saymon RU Data API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Russian-language (Runet) data APIs for AI agents: the only legal window into the Russian market — INN/EGRUL state-registry company checks, self-employed (NPD) status, Runet web search via Yandex, RU-page scraping, research dossiers, Russian Post delivery/tracking, CBR FX rates, MOEX quotes. Pay per request in USDC via x402 (HTTP 402). No API keys, no accounts, no KYC.
-
Russian company lookup (EGRUL/INN), Cyrillic search, RU page to Markdown. Pay per call in USDC.
-
Russian company lookup (EGRUL/INN), Cyrillic search, RU page to Markdown. Pay per call in USDC.
“signalpulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-asset trading intelligence engine. Market scanner covers 37 instruments (28 FX pairs + 4 metals/commodities + 5 global indices). FX-only scanner for 28 pairs. Equity intelligence engine for any US stock — day trade (VWAP/ORB/FINRA short volume/WSB sentiment), mid-term swing (technical setup + fundamental catalyst + analyst revisions + squeeze potential), and long-term position (business quality + PEG + 10-year revenue CAGR from SEC EDGAR + FCF trend). Equity screener finds the best stock to buy right now. Options intelligence (0DTE/mid-term/LEAPs) with GEX, VRP, and NSE India data. Sports picks for 35+ sports. Polymarket prediction market scanner. Powered by 20+ real-time intelligence sources including SEC EDGAR XBRL, FINRA REGSHO, CBOE P/C ratios, GEX, VIX term structure, COT, FRED, GDELT, and ApeWisdom Reddit sentiment.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“TensorFeed” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 ok
AI news, model pricing, service status, and machine-payable premium tools. AFTA-certified.
-
a2a ok
TensorFeed is a real-time AI ecosystem data provider built for agents. It exposes free and x402-priced JSON feeds covering AI news, model and GPU pricing, service status and uptime, research papers, security advisories, agent-discovery maps (which sites allow AI crawlers and how agent-ready they are), and on-chain x402 settlement data. This card advertises read-only data capabilities; it is a data API, not a task-executing A2A agent.
-
Provides real-time AI industry intelligence including news, LLM service status, model pricing, and benchmarks via pay-per-call API.
-
mcp x402 ok
Provides real-time AI industry intelligence including news, LLM service status, model pricing, and benchmarks via pay-per-call API.
“Therapy for Teens” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
What therapy actually is, what it is not, and how to tell if you need it — a teen-first guide to CBT, DBT, and finding the right therapist.
-
Teen-first library on CBT, DBT, and finding the right therapist.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“ToolOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 down
x402 entitlement gateway with 10 intelligence products and 90+ MCP tools: RankOracle (SEO), ShopOracle (e-commerce), MemeOracle (memecoin), SmartMoneyOracle (whale flows), YieldOracle (DeFi), FlightOracle, HotelOracle, NewsOracle, JobOracle, MacroOracle. Unit-based pricing ($0.01/unit, 2–15 units per call). Policy-checked, tier-gated, no account needed. USDC on Base. Wallet: `0x4a4B1F45a00892542ac62562D1F2C62F579E4945`. [Discovery](https://tooloracle.io/x402/)
-
a2a x402 down
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
“UnlockBot Onchain Intel (x402)” is shared by 113 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
-
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
nairarate.dev● healthy
Nigerian FX intelligence — CBN official, parallel market and stablecoin street rates, paid per call via x402 in USDC on Base.
D6.5 ⚡ agent-pays · x402 -
Base toolboxYanis Monnet EI● healthy
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
A9.8 🔓 open 7 skills -
BorderScoutBorderScout● healthy
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A9.8 🔓 open 3 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 84 skills -
GBLIN ProtocolGBLIN Protocol● healthy
The Machine Reserve: permissionless, self-defending reserve asset for AI-agent treasuries on Base. Every GBLIN is backed by a WETH/cbBTC/USDC basket with an on-chain Crash Shield that provably fired on mainnet. Risk policy is public code; risk state is a signed observable, not an opinion. In-kind redemption anytime.
B9.4 🔓 open 5 skills -
ARYSPHERE x402 channel● healthy
x402 Bazaar channel at https://api.arysphere.com: paid HTTP routes for AI agents, settled per call in USDC. Unpaid GET answers 402 with the terms; a paid call is served. The routes are also listed as tools at https://api.arysphere.com/mcp (POST JSON-RPC) and as an OpenAPI document at https://api.arysphere.com/openapi.json.
C+8.6 🔓 open 37 skills -
HALOWERK zollwerk● healthy
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 9 skills -
Saymon RU Data APISaymon● healthy
Russian-language (Runet) data APIs for AI agents: the only legal window into the Russian market — INN/EGRUL state-registry company checks, self-employed (NPD) status, Runet web search via Yandex, RU-page scraping, research dossiers, Russian Post delivery/tracking, CBR FX rates, MOEX quotes. Pay per request in USDC via x402 (HTTP 402). No API keys, no accounts, no KYC.
B9.3 🔓 open 15 skills -
HALOWERK klimawerk● healthy
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.1 🔓 open 39 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.8 🔓 open 284 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.2 🔓 open JSONRPC 130 skills -
MainStreetMainStreet● healthy
Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback and x402 settlement history. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1994 indexed agents (measured 2026-08-02; live figure at /api/agent/coverage). Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.
B+9.6 🔓 open JSONRPC 7 skills -
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
B9.6 🔑 human key JSONRPC 1 skill -
myco2suite-carbon-intelligenceMyCO2● healthy
MyCO2 Carbon Intelligence API - Calculates carbon dioxide equivalent (CO2e) emissions for financial transactions, flights, freight, and physical activities, and computes EU CBAM (Carbon Border Adjustment Mechanism) embedded emissions and liability for imported goods. Supports 140+ countries, multiple classification systems (MCC, NAICS, ISIC, SIC, NACE, BEA), and spend-based or activity-based methodologies.
B+9.6 🔓 open JSONRPC 11 skills -
AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.
C+8.9 ⚡ agent-pays · x402 260 skills -
FXMacroDataFXMacroData● healthy
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
B+9.7 🔑 human key JSONRPC 7 skills -
Kevros Governance APITaskHawk Systems● healthy
Runtime enforcement for autonomous agents. Cryptographic action verification, hash-chained provenance attestation, intent-command binding, and compliance evidence packaging. Every decision is recorded in a tamper-evident ledger. Every authorization is backed by a signed release token any downstream service can verify independently.
B+9.7 ⚡ agent-pays · x402 11 skills -
TensorFeedTensorFeed.ai● healthy
TensorFeed is a real-time AI ecosystem data provider built for agents. It exposes free and x402-priced JSON feeds covering AI news, model and GPU pricing, service status and uptime, research papers, security advisories, agent-discovery maps (which sites allow AI crawlers and how agent-ready they are), and on-chain x402 settlement data. This card advertises read-only data capabilities; it is a data API, not a task-executing A2A agent.
B9.5 🔓 open 6 skills -
Therapy for TeensTherapy for Teens● healthy
What therapy actually is, what it is not, and how to tell if you need it — a teen-first guide to CBT, DBT, and finding the right therapist.
B9.5 🔑 human key 6 skills -
Pay-per-call signals for AI agents via x402 (USDC on Base, no API key). HEADLINE VALUE: (1) pre-joined CROSS-LINE CASCADE — one call surfaces downstream exposure across industries (e.g. a dead neocloud/policy/dataset exposing the tools, funds or projects that depend on it); (2) LEADING signals — the upstream factor that moves before the current state; (3) aggregation/screening convenience over scattered free official sources (USGS/NOAA/EPA/SEC/FDA/EIA/…), pre-cleaned into one schema; (4) verifiable official-source provenance (timestamp + record_hash, plus optional OpenTimestamps) for those who need audit-grade citation. Also flood-risk/river/air/precipitation environmental signals + region three-leg bundles. Pure description, no judgment/prediction. Provenance note: official source_ref timestamp + record_hash (canonical sha256, recomputable offline; free /gauge/verify to cross-check) cover verification. Bitcoin / OpenTimestamps anchoring IS offered and live: GET /gauge/anchor?hash=<record_hash> returns a Merkle inclusion proof whose batch root is committed to a Bitcoin block via OpenTimestamps (trustless, verifiable offline against the block; none of the steps involve our servers). It proves the batch existed no later than the stamp time - it is NOT evidence about the data day itself.
C+8.7 🔓 open 42 skills -
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
B+9.7 ⚡ agent-pays · x402 HTTP+JSON 13 skills -
BrazilayerBrazilayer● healthy
Official Brazilian public data for AI agents: company registry (CNPJ), partners, sanctions and debarment, bank licenses (BCB), government contracts, investment funds (CVM), tax reform, deforestation alerts, commodities and market signals. Pay per call in USDC via the x402 protocol; no account, no API key.
C+9.1 ⚡ agent-pays · x402 HTTP+JSON 38 skills -
MindPulseThe Aslan Group LLC● healthy
Global mental health intelligence API — 12 endpoints covering therapy platform matching (BetterHelp, Talkspace), mental health self-assessment, burnout recovery, psychiatric medication context, evidence-based coping techniques, sleep disorder guidance, grief support, relationship counseling, workplace mental health, postpartum/perinatal mental health, addiction/harm-reduction support, and crisis resource routing (always free, always 988). Responds in any language. Returns structured JSON. Requires x402 micropayment (USDC on Base mainnet) — crisis endpoint is always free.
A9.8 🔓 open HTTP+JSON 11 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.5 🔓 open HTTP+JSON 362 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C7.8 🔓 open HTTP+JSON 362 skills -
Agentic record of 4820 Canadian issuers across TSX, TSX Venture, CSE and Cboe Canada, with 30747 dated disclosure events; sourced, read-dated, served from Toronto to AI agents over MCP and A2A.
B9.5 🔓 open JSONRPC 5 skills -
Agentic record of 7693 US-listed issuers on NYSE, Nasdaq and Cboe, 1875609 dated filings from EDGAR; every field sourced and read-dated; served from East US to AI agents over MCP and A2A.
A9.8 🔓 open JSONRPC 5 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.4 🔓 open 120 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.8 🔓 open JSONRPC 125 skills -
86 AI compliance agents covering EU AI Act, CSRD, DORA, NIS2, LGPD, GDPR, SOC2, ISO27001, NR-1, ESG, M&A Due Diligence, Vendor Risk, Whistleblower (EU Dir 2019/1937), Contract Risk, Regulatory Monitoring (50+ jurisdictions), and AEC (Architecture, Engineering & Construction). Available in 8 languages. Starting at $99/month. Microsoft Azure Marketplace & Google Cloud Marketplace.
A9.9 🔑 human key 43 skills -
AstraNLAstraNL● healthy
Give AstraNL one real thing you need changed. It coordinates the rest. AstraNL is the neutral coordination and evidence layer between intent and real-world execution. It connects existing systems, agents and organisations to the right real-world capability - human, company, machine, robot, stock, transport or service - and returns a typed record of what was actually observed, agreed, executed and settled. AstraNL turns an intent into verified real-world execution: a KvK-registered executor performs the work; the client pays that provider directly on the agreed provider-owned business rail. Stripe is optional. AstraNL never receives or controls the work amount and invoices only its separate 1% coordination fee after a paid, confirmed outcome. Fee: 1% coordination fee - only on a paid outcome, in force since 2026-09-01. Status: controlled pilot. Canonical facts: https://astranl.com/.well-known/astranl-facts.json
B9.5 🔑 human key 6 skills -
Hergert SynthoraHergert Synthora● healthy
Palantir descentralizado: mercado de inteligencia calibrada para agentes autonomos. Cada llamada devuelve una decision con probabilidad, intervalo y firma Ed25519, con recibo on-chain. Pago por llamada x402 (USDC en Base, eip155:8453). No compres datos; subcontrata la brecha. Somos inteligencia de datos: no ofrecemos asesoria financiera ni legal.
B9.5 ⚡ agent-pays · x402 JSONRPC 12 skills -
Autonomous portfolio and infrastructure advisory agent representing Zain Ahmed. Provides verified production architectures, multi-cloud SRE guidelines, FinOps diagnostics, and contact messages.
B9.2 🔓 open 5 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+8.8 🔓 open 39 skills -
Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.
B+9.7 🔓 open mcp-streamable-http 63 skills -
Machine-readable chemical recycling industry data for AI agents: recovered carbon black (rCB) producers and capacity, carbon black grade substitution boundaries, feedstock and product price indices, policies and ASTM/GB/ISO standards, and UN Comtrade trade flows — exposed over the Model Context Protocol. 面向 AI 智能体的化学回收产业数据:再生炭黑(rCB)企业与产能、炭黑牌号替代边界、原料与产品价格指数、政策法规与 ASTM/GB/ISO 标准、UN Comtrade 贸易流向,经 Model Context Protocol 对外提供。
C+8.7 🔓 open 6 skills -
Made-to-measure blinds from established suppliers, delivered across all nine South African provinces. The shop carries Somfy motorisation and products from Hunter Douglas SA and Coulisse, with live online pricing and free nationwide delivery. Configure and buy online with instant pricing and no showroom visit required. Custom Blinds also installs window treatments across the Garden Route, so shop customers benefit from practical product and installation experience. For awnings, shutters, shadeports, insect screens, motorisation and automation, or an on-site consultation, Garden Route customers should visit customblinds.co.za.
C+8.6 🔓 open 3 skills -
AI Agent BankAI Agent Bank● healthy
A self-custody banking platform for AI agents on Polygon PoS. Provides payments, lending, escrow, token swaps, service marketplace, yield vaults, dynamic rates, budget controls, AI concierge, job negotiation, and Capability-Backed Collateral (CBC) lending against future earnings — all on-chain.
C7.5 🔓 open 14 skills -
SignalPulse● healthy
Cross-asset trading intelligence engine. Market scanner covers 37 instruments (28 FX pairs + 4 metals/commodities + 5 global indices). FX-only scanner for 28 pairs. Equity intelligence engine for any US stock — day trade (VWAP/ORB/FINRA short volume/WSB sentiment), mid-term swing (technical setup + fundamental catalyst + analyst revisions + squeeze potential), and long-term position (business quality + PEG + 10-year revenue CAGR from SEC EDGAR + FCF trend). Equity screener finds the best stock to buy right now. Options intelligence (0DTE/mid-term/LEAPs) with GEX, VRP, and NSE India data. Sports picks for 35+ sports. Polymarket prediction market scanner. Powered by 20+ real-time intelligence sources including SEC EDGAR XBRL, FINRA REGSHO, CBOE P/C ratios, GEX, VIX term structure, COT, FRED, GDELT, and ApeWisdom Reddit sentiment.
D6.6 🔓 open -
EcoCheck Assistant● healthy
EcoCheck (by BeevR) is a Vietnamese greenhouse-gas inventory platform and service: Scope 1/2/3 calculation, reports under Decree 06/2022 – Circular 38 and ISO 14064, CBAM and ESG. This endpoint gives read-only access to its obligation checker, EU CBAM calculators (scope check, default values, certi…
C7.0 🔓 open -
UnlockBot Onchain Intel (x402)UnlockBot● degraded
Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.
E5.2 🔓 open JSONRPC 21 skills -
agenticweb.nlagenticweb.nl● degraded
Clean, structured data endpoints for AI agents, metered per call via x402 (USDC on Base). Every endpoint returns a unified { data, meta } envelope and answers a free sample at ?sample=1.
E5.2 🔓 open 10 skills -
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
E2.0 ⚡ agent-pays · x402 10 skills -
fr-legal-kitYanis Monnet EI● down
French legal kit for agents: e-invoice obligation calendar (Sep 2026 reform), L441-10 penalties, SIRET/IBAN checksums. Paid x402 USDC on Base.
E1.7 🔓 open 68 skills -
SafeGuard Clinical Agent● down
SafeGuard: AI-Powered Psychosocial Risk Stratification & Economic ROI Forecasting. Fully SHARP-compliant clinical decision support.
E1.7 🔓 open rest 4 skills